SmartsWrite.h File Reference
`#include <string>`

Go to the source code of this file.

## Namespaces

| RDKit
| Includes a bunch of functionality for handling Atom and Bond queries.
| RDKit::SmartsWrite

## Functions

std::string | RDKit::SmartsWrite::GetAtomSmarts (const QueryAtom *qatom)
| returns the SMARTS for a QueryAtom More...
std::string | RDKit::SmartsWrite::GetBondSmarts (const QueryBond *qbond)
| returns the SMARTS for a QueryBond More...
std::string | RDKit::MolToSmarts (ROMol &mol, bool doIsomericSmarts=false)
| returns the SMARTS for a molecule More...